Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextOStream Class Reference

The QTextOStream class is a convenience class for output streams. More...

    #include <QTextOStream>

Inherits QTextStream.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QTextOStream ( QString * s )
- QTextOStream ( QByteArray * ba )
- QTextOStream ( FILE * f )

- 52 public functions inherited from QTextStream

## Detailed Description

The QTextOStream class is a convenience class for output streams.

This class provides a shorthand for creating simple output QTextStreams without having to pass a mode argument to the constructor.

This makes it easy to write things like this:

        QString result;
        QTextOStream(&result) << "pi = " << 3.14;

## Member Function Documentation

### QTextOStream::QTextOStream ( QString * s )

Constructs a stream to write to string s.

### QTextOStream::QTextOStream ( QByteArray * ba )

Constructs a stream to write to the byte array ba.

### QTextOStream::QTextOStream ( FILE * f )

Constructs a stream to write to the file handle f.